package com.ploedige.fragments;

import androidx.appcompat.app.AppCompatActivity;
import androidx.fragment.app.FragmentActivity;
import androidx.fragment.app.FragmentTransaction;

import android.os.Bundle;

public class MainActivity extends FragmentActivity implements Fragment1.Fragment1Listener {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        loadFirstFragment();
    }

    private void loadFirstFragment(){
       if(findViewById(R.id.fracment_container) != null){
           Fragment1 fragment1 = new Fragment1();
           getSupportFragmentManager().beginTransaction()
                   .add(R.id.fracment_container,fragment1).commit();
       }
    }

    @Override
    public void onFragment1ButtonClick() {
        Fragment2 fragment2 = new Fragment2();
        FragmentTransaction fragmentTransaction = getSupportFragmentManager().beginTransaction();

        fragmentTransaction.replace(R.id.fracment_container,fragment2);
        fragmentTransaction.addToBackStack(null);
        fragmentTransaction.commit();
    }
}