package com.ploedige.fragments;

import android.app.Activity;
import android.os.Bundle;

import androidx.annotation.NonNull;
import androidx.fragment.app.Fragment;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

public class Fragment1 extends Fragment {

    Fragment1Listener buttonCallback;

    public interface Fragment1Listener{
        public void onFragment1ButtonClick();
    }

    public Fragment1() {
        // Required empty public constructor
    }
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
    }

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {
        // Inflate the layout for this fragment
        return inflater.inflate(R.layout.fragment_1, container, false);
    }

    @Override
    public void onAttach(@NonNull Activity activity) {
        super.onAttach(activity);
        try{
            buttonCallback = (Fragment1Listener) activity;
        }
        catch (ClassCastException e){
            throw new ClassCastException(activity.toString() + "must implement Fragment1Listener");
        }
    }

    public void jumpToFragment2(View view){
        buttonCallback.onFragment1ButtonClick();
    }
}